FCPE-SPI FLAM Column Processing Exit (FCPE) Service Provider Interface (SPI)

Data Fields
FcpeCls Struct Reference
Function structures

FCPE Close structure. More...

`#include <FCPE.h>`

## Data Fields
unsigned int | uiMsg
| [OUTPUT] Length of error message (32 bit word) More...
unsigned int | uiDy1
| [DUMMY] 32 bit dummy field for 64 bit alignment More...
char | acMsg [1024]
| [OUTPUT] Maximal 1024 byte long error string More...

## Detailed Description

FCPE Close structure.

This structure is used when the exit function is called with the function code FCPE_FUNC_CLS. It is always called after data processing is finished, no matter if there was error or not.

The only member pair is a 1024 bytes buffer for an error message. The corresponding length must be set to the length of the error message.

## Field Documentation

## ◆ acMsg

char FcpeCls::acMsg[1024]

[OUTPUT] Maximal 1024 byte long error string

## ◆ uiDy1

unsigned int FcpeCls::uiDy1

[DUMMY] 32 bit dummy field for 64 bit alignment

## ◆ uiMsg

unsigned int FcpeCls::uiMsg

[OUTPUT] Length of error message (32 bit word)

The documentation for this struct was generated from the following file:

- FCPE.h